package com.ematou.wxservice.service;

import com.ematou.wxservice.entity.pojo.SubscribeItem;
import com.ematou.wxservice.mapper.SubscribeItemMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SubscribeItemService {


    @Autowired
    private SubscribeItemMapper subscribeItemMapper;

    public int save(SubscribeItem subscribeItem){
        return subscribeItemMapper.insertSubscribeItem(subscribeItem);
    }

    public int update(SubscribeItem subscribeItem){
        return subscribeItemMapper.updateSubscribeItem(subscribeItem);
    }

    public SubscribeItem queryByWechatAccount(String wechatAccount){
        return subscribeItemMapper.queryByWechatAccount(wechatAccount);
    }
    public int deleteByWechatAccount(String wechatAccount){
        return subscribeItemMapper.deleteByWechatAccount(wechatAccount);
    }
}
